Mail archive
alpine-aports

[alpine-aports] [PATCH] main/guile: upgrade to 2.2.0

From: Valery Kartel <valery.kartel_at_gmail.com>
Date: Fri, 17 Mar 2017 21:10:30 +0200

- switch to https:// source url
---
 main/guile/APKBUILD | 17 ++++++-----------
 1 file changed, 6 insertions(+), 11 deletions(-)
diff --git a/main/guile/APKBUILD b/main/guile/APKBUILD
index 09cc1c1a33..455c22f434 100644
--- a/main/guile/APKBUILD
+++ b/main/guile/APKBUILD
_at_@ -1,22 +1,22 @@
 # Maintainer: Natanael Copa <ncopa_at_alpinelinux.org>
 pkgname=guile
-pkgver=2.0.13
+pkgver=2.2.0
 pkgrel=0
 pkgdesc="Guile is a portable, embeddable Scheme implementation written in C"
 url="http://www.gnu.org/software/guile/"
 arch="all"
 license="GPL"
+options="!check"
 subpackages="$pkgname-dev $pkgname-doc $pkgname-libs"
 makedepends="gmp-dev libtool ncurses-dev texinfo libunistring-dev libffi-dev
 	gc-dev"
 depends=
 depends_dev="guile gc-dev"
 install=
-source="ftp://ftp.gnu.org/pub/gnu/$pkgname/$pkgname-$pkgver.tar.gz
+source="https://ftp.gnu.org/gnu/$pkgname/$pkgname-$pkgver.tar.xz
 	0002-Mark-mutex-with-owner-not-retained-threads-test-as-u.patch
 	"
-
-builddir="$srcdir"/$pkgname-$pkgver
+builddir="$srcdir/$pkgname-$pkgver"
 
 build() {
 	cd "$builddir"
_at_@ -31,14 +31,9 @@ build() {
 }
 
 package() {
-	cd "$builddir"
-	make DESTDIR="$pkgdir" install || return 1
+	make -C "$builddir" DESTDIR="$pkgdir" install || return 1
 	rm "$pkgdir"/usr/lib/charset.alias
 }
 
-md5sums="dac267e76330176d48583258aeaa7016  guile-2.0.13.tar.gz
-00b381cff020d6b43de150a99d08d955  0002-Mark-mutex-with-owner-not-retained-threads-test-as-u.patch"
-sha256sums="ee8073c4582bb4f06412452fdf5dd185aae607441f1313c824f44bdd668b0bde  guile-2.0.13.tar.gz
-760355a63be9b756607a03352ceb916dfba02da917fa00c6bc07253d0f7c75f6  0002-Mark-mutex-with-owner-not-retained-threads-test-as-u.patch"
-sha512sums="79fd5fda5064331eb687934ec3eaf07943f5b23bd05fbce23ab5ee3698864250b33746e33b8f074692b56f7b428dac42ed5d3f5b9dc17d171aa6dfadc1625b00  guile-2.0.13.tar.gz
+sha512sums="8ab2909faedea68e0abea77d9ecc0ddd3e90d0b118e05bfbdbdb213fd5674b049562178b7bd3bc64dd1a7877581e03db023800da97f2f699619ea34cf01d591c  guile-2.2.0.tar.xz
 b1c309cc07830ff1741ef88857f8099187b449580e8d57862886abc367ef1accc5a35636d81eee09247f13d3a751cdc8909fdea05368d3d509bd2039ce06d078  0002-Mark-mutex-with-owner-not-retained-threads-test-as-u.patch"
-- 
2.11.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Fri Mar 17 2017 - 21:10:30 GMT